# Fabulously Optimized

A simple modpack for people who are used to having Forge and OptiFine and are curious to see what equivalents Fabric has to offer. You could consider this modpack a "starting point" to optimize your game before adding more functional mods or you could just play this as if it was vanilla - the choice is yours. 

The pack only adds performance and graphics enhancements to the client, so **it works on every world and server**.

Download from Curseforge: https://www.curseforge.com/minecraft/modpacks/fabulously-optimized

## Reviews

[Current review](https://www.youtube.com/watch?v=bb8G9X5Q_4I) by Rexus

[![Current review](https://img.youtube.com/vi/bb8G9X5Q_4I/maxresdefault.jpg)](https://www.youtube.com/watch?v=bb8G9X5Q_4I)

[Old review](https://www.youtube.com/watch?v=YQyDNc7aGBs) by Niche Duck

## Included mods

The selected mods are inspired, but not limited by the [list of Optifine alternatives](https://gist.github.com/LambdAurora/1f6a4a99af374ce500f250c6b42e8754).

### Smooth
* Sodium - optimizes general rendering to improve FPS, adds some graphics options
* Lithium - optimizes game physics and chunk loading
* Phosphor - optimizes light rendering
* Hydrogen¹ - reduces RAM usage
* FastChest - makes chest rendering less intensive (more FPS on chest rooms!)
* No Fade - makes game startup and resourcepack switch faster by removing fade animations
* Smooth Boot - makes the game use less power when it starts
* Dynamic FPS - renders Minecraft slower if it is in the background to save RAM
* Smooth Scrolling Everywhere - makes the scrolling smooth on various menus

### Pretty
* Sodium Extra - adds toggles to Sodium settings: animations, particles, weather, fog, FPS indicator
* LambDynamicLights - lets you light up the area by holding a torch and more
* Fabric Capes - shows Optifine's and other custom capes in-game, see "I want a cape!" above
* Cull Leaves - optionally makes fancy leaves more see-through, which could improve FPS (enable in mod settings)
* Colormatic - adds Optifine custom colors support, clear skies and clear void options
* 'Slight' Gui Modifications - adds fancy animations to the menus and containers, optional FPS counter
* Raised Clouds - lets you adjust the cloud height
* Custom Fog - lets you customize the fog distance and density
* Fabrishot - lets you take a high-res screenshot (press F9)

### Functional
* Ok Zoomer - adds a fancy zoom feature
* AntiGhost - fixes getting stuck in blocks with the press of G
* Mod Menu - gives you the list of mods and lets you adjust their configuration
* Not Enough Crashes - lets you play after a crash and report it comfortably
* Fabric API - makes most mods work
* Cloth Config API - makes many mods' config work
* Architectury - makes 'Slight' Gui Modifications work
* Fabric Language Kotlin - makes Fabric Capes work
* Jumploader - just to make this modpack available on this site and CurseForge Launcher (not needed for MultiMC and other launchers)

¹ The mod is not from Curseforge, but the license and Curseforge allow usage in modpacks

## Help

Help is provided by:

* [Curseforge listing](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized) comments
* [Wiki](https://github.com/Madis0/fabulously-optimized/wiki)
* [Issues](https://github.com/Madis0/fabulously-optimized/issues) (mod suggestions, bug reports)
